/*
* Nexus.css
* File include item demo only specific css only
******************************************************************************/
[data-bs-theme=light] {
  --bs-tagify-focus-border-color: #696cff;
}

[data-bs-theme=dark] {
  --bs-tagify-focus-border-color: #696cff;
}

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 74px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.docs-page .layout-navbar-fixed.layout-wrapper:not(.layout-without-menu) .layout-page,
.docs-page .layout-menu-fixed.layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 62px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 231px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}

.layout-demo-placeholder img {
  width: 900px;
}

.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

/* .table-sticky-header thead.shadow-header-table {
  box-shadow: 0 2px 5px rgba(0,0,0,0.15);
} */

.tagify--focus {
  border-color: var(--bs-tagify-focus-border-color);
}

/*
* Customize
******************************************************************************/

.alert-modal {
  z-index: 1076!important;
}

.z-index-1099 {
  z-index: 1099!important;
}

.z-index-1100 {
  z-index: 1100!important;
}

.z-index-1105 {
  z-index: 1105!important;
}

/* @media(max-width: 768px) {
  .z-index-1099 {
    z-index: 1099!important;
  }

  .z-index-1100 {
    z-index: 1100!important;
  }

  .z-index-1105 {
    z-index: 1105!important;
  }
} */

.preview-validation .invalid-feedback,
.button-wrapper .invalid-feedback {
  display: block;
}

/* .swal2-container.swal2-backdrop-show {
  z-index: 1105;
} */

iframe.embed-responsive-item {
  height: 100%;
  width: 100%;
}

.cursor-default {
  cursor: default;
  pointer-events: none;
}

.animated {
  transition-duration: .3s;
}

.btn-linkedin.disabled,.btn-linkedin:disabled {
  color: #fff !important;
  background-color: #0077b5 !important;
  border-color: #0077b5 !important;
  box-shadow: none !important
}

.btn-label-linkedin {
  color: #0077b5;
  border-color: rgba(0,0,0,0);
  background: #d6e9f3
}

.btn-label-linkedin:hover {
  border-color: rgba(0,0,0,0) !important;
  background: #006ba3 !important;
  color: #fff !important;
  box-shadow: 0 .125rem .25rem 0 rgba(0,119,181,.4) !important;
  transform: translateY(-1px) !important
}

.btn-label-linkedin:focus,.btn-label-linkedin.focus {
  color: #fff;
  background: #006ba3;
  box-shadow: none !important;
  transform: translateY(0)
}

.btn-label-linkedin:active,.btn-label-linkedin.active,.btn-label-linkedin.show.dropdown-toggle,.show>.btn-label-linkedin.dropdown-toggle {
  color: #fff !important;
  background-color: #00659a !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-label-linkedin:active:focus,.btn-label-linkedin.active:focus,.btn-label-linkedin.show.dropdown-toggle:focus,.show>.btn-label-linkedin.dropdown-toggle:focus {
  box-shadow: none
}

.btn-label-linkedin.disabled,.btn-label-linkedin:disabled {
  color: #0077b5 !important;
  background-color: #d6e9f3 !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-outline-linkedin {
  color: #0077b5;
  border-color: #0077b5;
  background: rgba(0,0,0,0)
}

.btn-outline-linkedin:hover {
  color: #fff !important;
  background-color: #006ba3 !important;
  border-color: #006ba3 !important;
  box-shadow: 0 .125rem .25rem 0 rgba(0,119,181,.4) !important;
  transform: translateY(-1px) !important
}

.btn-check:focus+.btn-outline-linkedin,.btn-outline-linkedin:focus {
  color: #fff;
  background-color: #006ba3;
  border-color: #006ba3;
  box-shadow: none;
  transform: translateY(0)
}

.btn-check:checked+.btn-outline-linkedin,.btn-check:active+.btn-outline-linkedin,.btn-outline-linkedin:active,.btn-outline-linkedin.active,.btn-outline-linkedin.dropdown-toggle.show {
  color: #fff !important;
  background-color: #00659a !important;
  border-color: #00659a !important
}

.btn-check:checked+.btn-outline-linkedin:focus,.btn-check:active+.btn-outline-linkedin:focus,.btn-outline-linkedin:active:focus,.btn-outline-linkedin.active:focus,.btn-outline-linkedin.dropdown-toggle.show:focus {
  box-shadow: none
}

.btn-outline-linkedin.disabled,.btn-outline-linkedin:disabled {
  box-shadow: none !important;
  color: #0077b5 !important;
  background-color: rgba(0,0,0,0) !important
}

.btn-outline-linkedin .badge {
  background: #0077b5;
  border-color: #0077b5;
  color: #fff
}

.btn-outline-linkedin:hover .badge,.btn-outline-linkedin:focus:hover .badge,.btn-outline-linkedin:active .badge,.btn-outline-linkedin.active .badge,.show>.btn-outline-linkedin.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
  color: #0077b5
}

.bg-label-instagram {
  background-color: #fadee7 !important;
  color: #e1306c !important
}

.bg-label-hover-instagram {
  background-color: #fadee7 !important;
  color: #e1306c !important
}

.bg-label-hover-instagram:hover {
  background-color: #e1306c !important;
  color: #fff !important
}

.border-label-instagram {
  border: 3px solid #f3acc4
}

.border-light-instagram {
  border: 3px solid rgba(225,48,108,.08)
}

.btn-instagram {
  color: #fff;
  background-color: #e1306c;
  border-color: #e1306c;
  box-shadow: 0 .125rem .25rem 0 rgba(225,48,108,.4)
}

.btn-instagram:hover {
  color: #fff !important;
  background-color: #cb2b61 !important;
  border-color: #cb2b61 !important;
  transform: translateY(-1px) !important
}

.btn-check:focus+.btn-instagram,.btn-instagram:focus,.btn-instagram.focus {
  color: #fff;
  background-color: #cb2b61;
  border-color: #cb2b61;
  transform: translateY(0);
  box-shadow: none
}

.btn-check:checked+.btn-instagram,.btn-check:active+.btn-instagram,.btn-instagram:active,.btn-instagram.active,.btn-instagram.show.dropdown-toggle,.show>.btn-instagram.dropdown-toggle {
  color: #fff !important;
  background-color: #bf295c !important;
  border-color: #bf295c !important
}

.btn-check:checked+.btn-instagram:focus,.btn-check:active+.btn-instagram:focus,.btn-instagram:active:focus,.btn-instagram.active:focus,.btn-instagram.show.dropdown-toggle:focus,.show>.btn-instagram.dropdown-toggle:focus {
  box-shadow: none
}

.btn-instagram.disabled,.btn-instagram:disabled {
  color: #fff !important;
  background-color: #e1306c !important;
  border-color: #e1306c !important;
  box-shadow: none !important
}

.btn-label-instagram {
  color: #e1306c;
  border-color: rgba(0,0,0,0);
  background: #fadee7
}

.btn-label-instagram:hover {
  border-color: rgba(0,0,0,0) !important;
  background: #cb2b61 !important;
  color: #fff !important;
  box-shadow: 0 .125rem .25rem 0 rgba(225,48,108,.4) !important;
  transform: translateY(-1px) !important
}

.btn-label-instagram:focus,.btn-label-instagram.focus {
  color: #fff;
  background: #cb2b61;
  box-shadow: none !important;
  transform: translateY(0)
}

.btn-label-instagram:active,.btn-label-instagram.active,.btn-label-instagram.show.dropdown-toggle,.show>.btn-label-instagram.dropdown-toggle {
  color: #fff !important;
  background-color: #bf295c !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-label-instagram:active:focus,.btn-label-instagram.active:focus,.btn-label-instagram.show.dropdown-toggle:focus,.show>.btn-label-instagram.dropdown-toggle:focus {
  box-shadow: none
}

.btn-label-instagram.disabled,.btn-label-instagram:disabled {
  color: #e1306c !important;
  background-color: #fadee7 !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-outline-instagram {
  color: #e1306c;
  border-color: #e1306c;
  background: rgba(0,0,0,0)
}

.btn-outline-instagram:hover {
  color: #fff !important;
  background-color: #cb2b61 !important;
  border-color: #cb2b61 !important;
  box-shadow: 0 .125rem .25rem 0 rgba(225,48,108,.4) !important;
  transform: translateY(-1px) !important
}

.btn-check:focus+.btn-outline-instagram,.btn-outline-instagram:focus {
  color: #fff;
  background-color: #cb2b61;
  border-color: #cb2b61;
  box-shadow: none;
  transform: translateY(0)
}

.btn-check:checked+.btn-outline-instagram,.btn-check:active+.btn-outline-instagram,.btn-outline-instagram:active,.btn-outline-instagram.active,.btn-outline-instagram.dropdown-toggle.show {
  color: #fff !important;
  background-color: #bf295c !important;
  border-color: #bf295c !important
}

.btn-check:checked+.btn-outline-instagram:focus,.btn-check:active+.btn-outline-instagram:focus,.btn-outline-instagram:active:focus,.btn-outline-instagram.active:focus,.btn-outline-instagram.dropdown-toggle.show:focus {
  box-shadow: none
}

.btn-outline-instagram.disabled,.btn-outline-instagram:disabled {
  box-shadow: none !important;
  color: #e1306c !important;
  background-color: rgba(0,0,0,0) !important
}

.btn-outline-instagram .badge {
  background: #e1306c;
  border-color: #e1306c;
  color: #fff
}

.btn-outline-instagram:hover .badge,.btn-outline-instagram:focus:hover .badge,.btn-outline-instagram:active .badge,.btn-outline-instagram.active .badge,.show>.btn-outline-instagram.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
  color: #e1306c
}

.btn-facebook {
  color: #fff;
  background-color: #3b5998;
  border-color: #3b5998;
  box-shadow: 0 .125rem .25rem 0 rgba(59,89,152,.4)
}

.btn-facebook:hover {
  color: #fff !important;
  background-color: #355089 !important;
  border-color: #355089 !important;
  transform: translateY(-1px) !important
}

.btn-check:focus+.btn-facebook,.btn-facebook:focus,.btn-facebook.focus {
  color: #fff;
  background-color: #355089;
  border-color: #355089;
  transform: translateY(0);
  box-shadow: none
}

.btn-check:checked+.btn-facebook,.btn-check:active+.btn-facebook,.btn-facebook:active,.btn-facebook.active,.btn-facebook.show.dropdown-toggle,.show>.btn-facebook.dropdown-toggle {
  color: #fff !important;
  background-color: #324c81 !important;
  border-color: #324c81 !important
}

.btn-check:checked+.btn-facebook:focus,.btn-check:active+.btn-facebook:focus,.btn-facebook:active:focus,.btn-facebook.active:focus,.btn-facebook.show.dropdown-toggle:focus,.show>.btn-facebook.dropdown-toggle:focus {
  box-shadow: none
}

.btn-facebook.disabled,.btn-facebook:disabled {
  color: #fff !important;
  background-color: #3b5998 !important;
  border-color: #3b5998 !important;
  box-shadow: none !important
}

.btn-label-facebook {
  color: #3b5998;
  border-color: rgba(0,0,0,0);
  background: #e0e4ef
}

.btn-label-facebook:hover {
  border-color: rgba(0,0,0,0) !important;
  background: #355089 !important;
  color: #fff !important;
  box-shadow: 0 .125rem .25rem 0 rgba(59,89,152,.4) !important;
  transform: translateY(-1px) !important
}

.btn-label-facebook:focus,.btn-label-facebook.focus {
  color: #fff;
  background: #355089;
  box-shadow: none !important;
  transform: translateY(0)
}

.btn-label-facebook:active,.btn-label-facebook.active,.btn-label-facebook.show.dropdown-toggle,.show>.btn-label-facebook.dropdown-toggle {
  color: #fff !important;
  background-color: #324c81 !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-label-facebook:active:focus,.btn-label-facebook.active:focus,.btn-label-facebook.show.dropdown-toggle:focus,.show>.btn-label-facebook.dropdown-toggle:focus {
  box-shadow: none
}

.btn-label-facebook.disabled,.btn-label-facebook:disabled {
  color: #3b5998 !important;
  background-color: #e0e4ef !important;
  border-color: rgba(0,0,0,0) !important
}

.btn-outline-facebook {
  color: #3b5998;
  border-color: #3b5998;
  background: rgba(0,0,0,0)
}

.btn-outline-facebook:hover {
  color: #fff !important;
  background-color: #355089 !important;
  border-color: #355089 !important;
  box-shadow: 0 .125rem .25rem 0 rgba(59,89,152,.4) !important;
  transform: translateY(-1px) !important
}

.btn-check:focus+.btn-outline-facebook,.btn-outline-facebook:focus {
  color: #fff;
  background-color: #355089;
  border-color: #355089;
  box-shadow: none;
  transform: translateY(0)
}

.btn-check:checked+.btn-outline-facebook,.btn-check:active+.btn-outline-facebook,.btn-outline-facebook:active,.btn-outline-facebook.active,.btn-outline-facebook.dropdown-toggle.show {
  color: #fff !important;
  background-color: #324c81 !important;
  border-color: #324c81 !important
}

.btn-check:checked+.btn-outline-facebook:focus,.btn-check:active+.btn-outline-facebook:focus,.btn-outline-facebook:active:focus,.btn-outline-facebook.active:focus,.btn-outline-facebook.dropdown-toggle.show:focus {
  box-shadow: none
}

.btn-outline-facebook.disabled,.btn-outline-facebook:disabled {
  box-shadow: none !important;
  color: #3b5998 !important;
  background-color: rgba(0,0,0,0) !important
}

.btn-outline-facebook .badge {
  background: #3b5998;
  border-color: #3b5998;
  color: #fff
}

.btn-outline-facebook:hover .badge,.btn-outline-facebook:focus:hover .badge,.btn-outline-facebook:active .badge,.btn-outline-facebook.active .badge,.show>.btn-outline-facebook.dropdown-toggle .badge {
  background: #fff;
  border-color: #fff;
  color: #3b5998
}

.no-border-radius {
  border-radius: 0!important;
}

.menu .app-brand .layout-menu-toggle i {
  line-height: 1.09;
}

/* Hide arrow for Chrome, Safari, Edge, Opera */
.no-arrow {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-image: none !important;
  padding-right: 1rem; /* Adjust if needed */
}

/* Optional: Hide arrow in Firefox */
.no-arrow::-ms-expand {
  display: none;
}

.eva-lazy {
  opacity: 0;
  transition: opacity 1s ease-in-out;
}

.eva-lazy.bg-loaded {
  opacity: 1;
}

.avatar img.no-block-size {
  block-size: auto!important;
}

.eva-content .table-responsive {
  max-height: 320px;
  overflow: auto;
}

.glightbox-container .gslide-description {
  width: 100% !important;
  max-width: 100% !important;
  display: block !important;
  margin: 0 auto;
}

.dz-thumbnail img {
  max-height: 100%;
}

.stick-top {
    position: sticky;
    inset-block: 10px 0
}

.stick-top.course-content-fixed {
    inset-block-start: 80px
}

.nexusModal-scrollbar-container {
  max-height: 70vh;
  overflow: hidden;
}

@media (max-width: 767.98px) {
  .nexus-content {
    max-height: 70vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
  }

  .nexus-content.no-max-height {
    max-height: unset!important;
    overflow-y: unset;
  }
}

.alert-modal.toast-container {
  position: fixed;
  display: flex;
  flex-direction: column;
  gap: 10px;
  pointer-events: none;
  z-index: 1105!important;
}

/* DEFAULT (top-right) */
.alert-modal.toast-container[data-position="top-right"] {
  top: 10px;
  right: 10px;
  align-items: flex-end;
  justify-content: flex-start;
}

/* TOP LEFT */
.alert-modal.toast-container[data-position="top-left"] {
  top: 10px;
  left: 10px;
  align-items: flex-start;
  justify-content: flex-start;
}

/* TOP CENTER */
.alert-modal.toast-container[data-position="top-center"] {
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  align-items: center;
}

/* BOTTOM RIGHT */
.alert-modal.toast-container[data-position="bottom-right"] {
  bottom: 10px;
  right: 10px;
  align-items: flex-end;
  justify-content: flex-end;
}

/* BOTTOM LEFT */
.alert-modal.toast-container[data-position="bottom-left"] {
  bottom: 10px;
  left: 10px;
  align-items: flex-start;
  justify-content: flex-end;
}

/* BOTTOM CENTER */
.alert-modal.toast-container[data-position="bottom-center"] {
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  align-items: center;
  justify-content: flex-end;
}

/* CENTER */
.alert-modal.toast-container[data-position="center"] {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  align-items: center;
  justify-content: center;
}

@media(min-width: 576px) {
  .nexus-log-topnav img {
    width: 40px;
  }
}

/* MOBILE OVERRIDE (CENTER LOGIC) */
@media (max-width: 768px) {
  .nexus-log-topnav img {
    width: 80px;
  }

  /* ALL TOP POSITIONS → CENTER HORIZONTAL */
  .alert-modal.toast-container[data-position^="top"] {
    top: 10px;
    left: 50%;
    right: auto;
    transform: translateX(-37%);
    align-items: center;
  }

  /* ALL BOTTOM POSITIONS → CENTER HORIZONTAL */
  .alert-modal.toast-container[data-position^="bottom"] {
    bottom: 10px;
    left: 50%;
    right: auto;
    transform: translateX(-37%);
    align-items: center;
  }

  /* CENTER FULL FIX */
  .alert-modal.toast-container[data-position="center"] {
    top: 50%;
    left: 50%;
    right: auto;
    transform: translate(-37%, -50%);
    align-items: center;
  }
}

/* TOAST ITEM (ANTI OVERLAP) */
.alert-modal.toast-container .bs-toast {
  pointer-events: auto;
  position: relative !important;
  margin: 0 !important;
  width: 320px;
  max-width: 90vw;
}

.tagify:has(+input.is-invalid) .tagify__input {
  margin: .3rem .75rem!important;
}

.nexus-scroll-nav {
  overflow: hidden;
}

.nexus-scroll-nav > * {
  width: max-content;
}